Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisDisassembledInstruction_ Struct Reference

All commonly used information about a decoded instruction that Zydis can provide. More...

`#include <Disassembler.h>`

## Data Fields
ZyanU64 | runtime_address
| The runtime address that was passed when disassembling the instruction.
ZydisDecodedInstruction | info
| General information about the decoded instruction in machine-readable format.
ZydisDecodedOperand | operands [ZYDIS_MAX_OPERAND_COUNT]
| The operands of the decoded instruction in a machine-readable format.
char | text [96]
| The textual, human-readable representation of the instruction.

## Detailed Description

All commonly used information about a decoded instruction that Zydis can provide.

This structure is filled in by calling ZydisDisassembleIntel or ZydisDisassembleATT.

## Field Documentation

## ◆ info

ZydisDecodedInstruction info

General information about the decoded instruction in machine-readable format.

## ◆ operands

ZydisDecodedOperand operands[ZYDIS_MAX_OPERAND_COUNT]

The operands of the decoded instruction in a machine-readable format.

The amount of actual operands can be determined by inspecting the corresponding fields in the info member of this struct. Inspect operand_count_visible if you care about visible operands (those that are printed by the formatter) or operand_count if you're also interested in implicit operands (for example the registers implicitly accessed by pushad). Unused entries are zeroed.

## ◆ runtime_address

ZyanU64 runtime_address

The runtime address that was passed when disassembling the instruction.

## ◆ text

char text[96]

The textual, human-readable representation of the instruction.

Guaranteed to be zero-terminated.

The documentation for this struct was generated from the following file:

- include/Zydis/Disassembler.h